[PC-BSD Commits] r17952 - pcbsd/current/overlays/install-overlay/root
svn at pcbsd.org
svn at pcbsd.org
Wed Jul 25 08:19:02 PDT 2012
Author: kris
Date: 2012-07-25 15:19:01 +0000 (Wed, 25 Jul 2012)
New Revision: 17952
Modified:
pcbsd/current/overlays/install-overlay/root/PCBSDStart.sh
pcbsd/current/overlays/install-overlay/root/functions.sh
Log:
Improve how we initially detect Xorg config, when user picks "vesa" mode
go ahead and use that directly, instead of doing X -configure, which has been
causing some immediate crashes on optimus systems.
Modified: pcbsd/current/overlays/install-overlay/root/PCBSDStart.sh
===================================================================
--- pcbsd/current/overlays/install-overlay/root/PCBSDStart.sh 2012-07-25 15:17:20 UTC (rev 17951)
+++ pcbsd/current/overlays/install-overlay/root/PCBSDStart.sh 2012-07-25 15:19:01 UTC (rev 17952)
@@ -56,10 +56,6 @@
mkdir /tmp/.qt
mkdir /tmp/xkb
-echo "Detecting X Setup..."
-sleep 2
-/root/cardDetect/x_config.sh
-
# Check if we should be going to the console instead of X directly
/sbin/sysctl kern.module_path | /usr/bin/grep "CONSOLE" >/dev/null 2>/dev/null
FOUND="$?"
Modified: pcbsd/current/overlays/install-overlay/root/functions.sh
===================================================================
--- pcbsd/current/overlays/install-overlay/root/functions.sh 2012-07-25 15:17:20 UTC (rev 17951)
+++ pcbsd/current/overlays/install-overlay/root/functions.sh 2012-07-25 15:19:01 UTC (rev 17952)
@@ -4,6 +4,19 @@
detect_x()
{
+ # Check for VESA support
+ xvesa="NO"
+ v=`/bin/kenv xvesa`
+ if [ $? -eq 0 ]; then
+ xvesa=$v
+ fi
+ # If we are starting in VESA only mode
+ if [ "$xvesa" = "YES" ]; then
+ cp /root/cardDetect/XF86Config.compat /etc/X11/xorg.conf
+ #/root/cardDetect/setuptouch.sh /etc/X11/xorg.conf
+ return
+ fi
+
# Now run the X auto-detection
echo "Detecting X Setup..."
sleep 5
@@ -13,20 +26,7 @@
cp /root/xorg.conf.new /etc/X11/xorg.conf
# Use nvidia driver
sed -i '' 's|"nv"|"nvidia"|g' /etc/X11/xorg.conf
- /root/cardDetect/setuptouch.sh /etc/X11/xorg.conf
-
- # Check for VESA support
- xvesa="NO"
- v=`/bin/kenv xvesa`
- if [ $? -eq 0 ]; then
- xvesa=$v
- fi
-
- if [ "$xvesa" = "YES" ]
- then
- cp /root/cardDetect/XF86Config.compat /etc/X11/xorg.conf
- /root/cardDetect/setuptouch.sh /etc/X11/xorg.conf
- fi
+ #/root/cardDetect/setuptouch.sh /etc/X11/xorg.conf
}
start_xorg()
@@ -41,20 +41,20 @@
X -configure >/dev/null 2>&1
# Copy over the new xorg.conf
cp /root/xorg.conf.new /etc/X11/xorg.conf
- /root/cardDetect/setuptouch.sh /etc/X11/xorg.conf
+ #/root/cardDetect/setuptouch.sh /etc/X11/xorg.conf
startx
if [ ! -e "/tmp/.xstarted" ]
then
echo "ERROR: Failed to start X in SAFE mode... Trying VESA mode..."
rm /etc/X11/xorg.conf
cp /root/cardDetect/XF86Config.compat /etc/X11/xorg.conf
- /root/cardDetect/setuptouch.sh /etc/X11/xorg.conf
+ #/root/cardDetect/setuptouch.sh /etc/X11/xorg.conf
startx
if [ ! -e "/tmp/.xstarted" ]
then
# Try the Intel driver, since nvidia/vesa will fail on optimus cards
cp /root/cardDetect/XF86Config.intel /etc/X11/xorg.conf
- /root/cardDetect/setuptouch.sh /etc/X11/xorg.conf
+ #/root/cardDetect/setuptouch.sh /etc/X11/xorg.conf
startx
if [ ! -e "/tmp/.xstarted" ]
then
More information about the Commits
mailing list